
QGIS Application - Bug report #3839

qgis trunk crashes when saving project or clicking "OK" in the "new shape" dialog (or when using 

other dialogs)

2011-05-24 12:43 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Redmine Admin

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13897

Description

Confirmed under Ubuntu and Windows.

Program seg faults. The responsible seems to be part of the code of the new "customization" feature

 [[QgsCustomization]]::preNotify (this=0x861c720, receiver=0x98c9d70, event=0x98e6420, done=0xb16d4f7f)

at /home/brushtyler/projects/sources/qgis/src/app/qgscustomization.cpp:841

History

#1 - 2011-05-24 04:00 PM - Giovanni Manghi

More crashes for example when clicking "ok" or selecting files in various raster menu tools.

Debug: /home/brushtyler/projects/sources/qgis/src/app/qgscustomization.cpp: 794: (customizeWidget) p = /Customization/Widgets//QFileDialog/

on = 1

Debug: /home/brushtyler/projects/sources/qgis/src/app/qgscustomization.cpp: 860: (preNotify) click

Fatal: ASSERT: "d" in file /usr/include/qt4/QtCore/qscopedpointer.h, line 112

#2 - 2011-05-24 04:31 PM - Giuseppe Sucameli

It occurs closing non-native file dialogs (look at the difference between Save project and [[SaveAs]] project dialogs), either by pressing ok or cancel

buttons.

Adding a check to exclude QFileDialog instances (as done for not QDialog instances) doesn't work as expected. In fact the problem is at line 841 trying to

cast QObject to QWidget because the object was deleted yet before the preNotify was called.

I've attached a backtrace.

#3 - 2011-05-25 09:41 AM - Alexander Bruy

Confirmed under Slackware with latest self-compiled sources (c3e161a).

#4 - 2011-05-25 09:44 AM - Alexander Bruy
Seems Windows builds not affected (tested with ef981f1)

#5 - 2011-05-25 12:26 PM - Redmine Admin

It should be fixed in commit:4070354d5.

Please test and close if it works.

#6 - 2011-05-25 12:57 PM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:4070354d5f0a8f401d3c
